<!DOCTYPE html>
<html>
<head>
  <title> Malayalam Word2Vec</title>

<script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
<script type=text/javascript>
  $SCRIPT_ROOT = {{ request.script_root|tojson|safe }}  ;
</script>
<script type=text/javascript>
  $(function() {
    $('a#calculate').bind('click', function() {
      $("#loading").text("LOADING...");
      $("#error").text("");
      $.getJSON($SCRIPT_ROOT + '/_add_numbers', {
        a: $('input[name="a"]').val(),
        b: $('input[name="b"]').val()
      }, function(data) {
        if(data.result!=0){
          var temp=[]
            temp=data.result.split('y')        
            $("#result").text(temp);
            $("#loading").text("Done");
        }
        else{
            $("#loading").text("");
            $("#error").text("Error: Either No File Uploaded or Number of words is less than Two");
        }
        

      });
      return false;
    });
  });

function fileuploaded(){
  alert("File Uploaded Sucessfully")
}

</script>
<style type="text/css">
  #input-to-replace{
    opacity: 0.0;
    /*you want display: none; or something else here, the opacity is 
    for you to see how it stays in sync*/
}
textarea{
    display: block;
    width:  750px;
    height: 300px;
    margin-left: 150px;
}
</style>

</head>
<body style="background-color: #F2EDE9">
<h1 style="text-align: center;">Malayalam Word2Vec</h1>
<div style="margin-left: 30px;">
<input type="text" id="input-to-replace" name=a>
  <!--<textarea name=a maxlength="1000" cols="68" rows="20"></textarea>-->
<script type="text/javascript">
    var inputToReplace = document.getElementById('input-to-replace');
var replacementTextarea = document.createElement("textarea");
document.body.appendChild(replacementTextarea);

var copyValueOver = function(){
    // You may have to do some fancy encoding of newlines and other nasty bits, depending on what you expect to get.
    inputToReplace.value = replacementTextarea.value;
};

// This bit may be quite tricky depending on where the data comes from and so on, change and keyup are easy and just to show the way
replacementTextarea.addEventListener('change', copyValueOver);
replacementTextarea.addEventListener('keyup', copyValueOver);

  </script>

</div>                                                                                                        
<div style="margin-left: 150px; margin-top: 50px;">
  <label>OR</label>
  <form action = "http://localhost:5000/uploader" method = "POST" 
         enctype = "multipart/form-data">
         <input type = "file" name = "file" /><br/>
         <input type = "submit" value="Upload" style="margin-top: 5px;" onclick="fileuploaded()" />
      </form>
<span id=loading></span>
<span id=error style="color: red;"></span>
<h2><a href=# id=calculate>RUN</a></h2><br/>
<a href="downloads/Word2vec_Result.txt" download> Download Result </a><br/>
<span id=result></span>
  </div>
</body>
</html>

